Bug 821299 - Constant re-adding?
Constant re-adding?
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 22:00 EDT by Mike McGrath
Modified: 2015-05-14 21:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: devenv_1809
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2012-05-13 22:00:43 EDT
I'm not sure if this is a bug or not but we're seeing this over and over in the logs in prod.

Started POST "/broker/userinfo" for 107.21.193.203 at Sun May 13 21:47:04 -0400 2012
  Processing by LegacyBrokerController#user_info_post as HTML
  Parameters: {"broker_auth_iv"=>"[FILTERED]", "json_data"=>"{\"debug\" : \"true\"}", "broker_auth_key"=>"[FILTERED]"}
User-Agent = 'Java OpenShift/1.2.2-SNAPSHOT ()'
MongoDataStore.find(CloudUser, Craig.Schwarzwald@gmail.com, Craig.Schwarzwald@gmail.com)

Adding user Craig.Schwarzwald@gmail.com...inside legacy_controller
MongoDataStore.find(CloudUser, Craig.Schwarzwald@gmail.com, Craig.Schwarzwald@gmail.com)

MongoDataStore.find(CloudUser, Craig.Schwarzwald@gmail.com, Craig.Schwarzwald@gmail.com)
Comment 1 Xiaoli Tian 2012-06-04 03:36:37 EDT
Tested it on devenv-stage_200, if the user is not existed, it will add it as following:

Started POST "/broker/domain" for 203.114.244.88 at Mon Jun 04 01:44:18 -0400 2012
  Processing by LegacyBrokerController#domain_post as
  Parameters: {"json_data"=>"{\"key_type\":\"ssh-rsa\",\"api\":\"1.1.3\",\"ssh\":\"AAAAB3NzaC1yc2EAAAABIwAAAQEA4NeUyMMeM+8WZITvoArNSYtHeYH/gxpl02JZi2zn1nfAteIKhjY1jSJwmS9puXwOpY4IFIC0JT/ucbtGEQZFTSIhSrZ51bACiuY32pdtNmr5MHAvhIOVwktcjZ+Lmu2fZMEVeGO6bHct0WQ9zBLvcebwCSBKc0xwk5JVr740t+Q00fvcBktVp66qB6AjA7+ELR9reSQLMkQW8URpxeDu6vb8Wh5X/8Vy/m6vfAAEHIjozRNtuvMG5u7jfWs9/5TkpwkQeSs2Q452nndDq0Qt3zLJOYu9ARFandxQh2/CUsbIc9dqQLmTbIgkkjQkqps6J7DetbEAlt3sVyMP1RpH6w==\",\"namespace\":\"domaindev04\",\"rhlogin\":\"xtian+t102@redhat.com\"}", "password"=>"[FILTERED]"}
User-Agent = ''
MongoDataStore.find(CloudUser, xtian+t102@redhat.com, xtian+t102@redhat.com)

Adding user xtian+t102@redhat.com...inside legacy_controller
MongoDataStore.find(CloudUser, xtian+t102@redhat.com, xtian+t102@redhat.com)

DEBUG: Attempting to add user 'xtian+t102@redhat.com'
MongoDataStore.create(CloudUser, xtian+t102@redhat.com, xtian+t102@redhat.com, #hidden)
--------------------------------------------------------------------------


If the user does not exist, it will not add it and the log will not say it's adding user.

Started POST "/broker/userinfo" for 203.114.244.88 at Mon Jun 04 01:46:11 -0400 2012
  Processing by LegacyBrokerController#user_info_post as
  Parameters: {"json_data"=>"{\"api\":\"1.1.3\",\"rhlogin\":\"xtian+t102@redhat.com\"}", "password"=>"[FILTERED]"}
User-Agent = ''

MongoDataStore.find(CloudUser, xtian+t102@redhat.com, xtian+t102@redhat.com)

[REQ_ID=058e356fde10475a8e71fa43b8deb29d] ACTION=LEGACY_USER_INFO
Completed 200 OK in 226ms (Views: 1.8ms)

Note You need to log in before you can comment on or make changes to this bug.